/*

 ideservd.h - A mostly working PCLink server for IDEDOS 0.9x

 Written by
  Kajtar Zsolt <soci@c64.rulez.org>
 Win32 port by
  Josef Soucek <josef.soucek@ide64.org>
 Serial support by
  Borsanyi Attila <bigfoot@axelero.hu>
 Serial fixes by
  Silver Dream <silverdr@inet.com.pl>

    This file is part of IDEDOS the IDE64 disk operating system
    See README for copyright notice.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef _IDESERV_H
#define _IDESERV_H
#include <stdio.h>

#ifdef WIN32
#define SYSTEMNAME "WIN32"
#else
#define SYSTEMNAME "LINUX"
#endif

typedef unsigned char Petscii;

enum buffermode_e {
    CM_CLOSED, CM_DIR, CM_FILE, CM_COMPAT, CM_ERR
};

typedef struct Buffer {
    unsigned char *data;
    unsigned short pointer;
    unsigned short length;
    FILE *file;
    int fd;
    enum buffermode_e mode;
    unsigned int filesize;
} Buffer;

extern int errtochannel15(int);
extern void seterror(int, int);
extern void commandchannel(const Petscii *);
#endif
